Subject: bug#31460: 25.2; vc-dired in SVN hides up-to-date files

From: Francesco Potortì <[email-masked]>
Date: Thu, 17 May 2018 14:37:21 +0200

>>>> on an svn-controlled directory which is completely updated only
>>>> shows unregistered files.
>>>
>>> Or changed, deleted, etc.
>> 
>> Well, yes, by updated I mean that all changes have been committed.
>
>Committed when? And how?

I edit a file under svn.  I save and I commit it with vc-next-action.
Then I look at the directory with vc-dir.

>>>> Files that are up-to-date are hidden and
>>>> apparently there is no command to unhide them (they should be shown by
>>>> default, in fact).
>>>
>>> We don't show the up-to-date files, unless they have been recently edited.
>> 
>> Even if they have been recently edited, as far as I can see they are not
>> shown any more once the changes have been committed.
>
>That might be a peculiarity of the SVN backend. Hopefully someone will 
>investigate.
>
>When I commit changes in a Git repo (inside Emacs), the recently-edited 
>files stay in the buffer.

I remember that it did not use to work like this.  I remember that
vc-dir was useful to me, and it is much less useful now.

>> Okay, but this is an argument in favor of the current default.  The
>> problem is that I don't find a command to unhide the up-to-date files,
>> which in my case is what I usually need, and no way to change the
>> default.
>> 
>> I think there should be a customisable variable indicating what's hidden
>> by default, and a command to unhide all files (for example X, or C-ux).
>
>Ehh, keeping a history of the file hiding? That could work, but not if 
>the problem is in a different place (see above).

I'm not asking for any history.

1) Show all the files that are in a dir by default, just as 'svn ls'
   does, no files hidden by default

2) Provide a command to unhide, that is, to undo all hiding done by
   vc-dir-hide-state